# Uses of Enum Class
org.eclipse.emf.cdo.common.CDOCommonSession.Options.LockNotificationMode

Packages that use CDOCommonSession.Options.LockNotificationMode
Package
Description
org.eclipse.emf.cdo.common
Common concepts that are differently extended in clients and servers.
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOCommonSession.Options.LockNotificationMode in org.eclipse.emf.cdo.common

Methods in org.eclipse.emf.cdo.common that return CDOCommonSession.Options.LockNotificationMode
Modifier and Type
Method
Description
`CDOCommonSession.Options.LockNotificationMode`
CDOCommonSession.Options.`getLockNotificationMode()`
`CDOCommonSession.Options.LockNotificationMode`
CDOCommonSession.Options.LockNotificationModeEvent.`getNewMode()`
`CDOCommonSession.Options.LockNotificationMode`
CDOCommonSession.Options.LockNotificationModeEvent.`getOldMode()`
`static CDOCommonSession.Options.LockNotificationMode`
CDOCommonSession.Options.LockNotificationMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOCommonSession.Options.LockNotificationMode[]`
CDOCommonSession.Options.LockNotificationMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.cdo.common with parameters of type CDOCommonSession.Options.LockNotificationMode
Modifier and Type
Method
Description
`void`
CDOCommonSession.Options.`setLockNotificationMode(CDOCommonSession.Options.LockNotificationMode mode)`

## Uses of CDOCommonSession.Options.LockNotificationMode in org.eclipse.emf.cdo.session

Methods in org.eclipse.emf.cdo.session that return CDOCommonSession.Options.LockNotificationMode
Modifier and Type
Method
Description
`CDOCommonSession.Options.LockNotificationMode`
CDOSessionConfiguration.`getLockNotificationMode()`
Methods in org.eclipse.emf.cdo.session with parameters of type CDOCommonSession.Options.LockNotificationMode
Modifier and Type
Method
Description
`void`
CDOSessionConfiguration.`setLockNotificationMode(CDOCommonSession.Options.LockNotificationMode mode)`

## Uses of CDOCommonSession.Options.LockNotificationMode in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo with parameters of type CDOCommonSession.Options.LockNotificationMode
Modifier and Type
Method
Description
`void`
CDOSessionProtocol.`setLockNotificationMode(CDOCommonSession.Options.LockNotificationMode mode)`